Overview

List all fields in dataset

List all fields in dataset.

GET/v2/datasets/{dataset_id}/fields
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input1
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
dataset_idstring · pathrequired
(path)
Output5
descriptionstring
Description of the field
hiddenboolean
Whether the field is hidden
namestring
Name of the field
typestring
Type of the field
unitstring
Unit of the field
Responses
200List of fields in the dataset
403Forbidden
Example input
curl 'https://api.axiom.co/v2/datasets/{dataset_id}/fields' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
[
  {
    "description": "string",
    "hidden": false,
    "name": "string",
    "type": "string",
    "unit": "string"
  }
]

Updated

Was this page helpful?